Subject: Re: $(ARCH)-debian-linux-gnu

From: Ian Jackson <[email-masked]>
Date: Sun, 1 Sep 96 17:04 BST

Mark Eichin writes ("Re: $(ARCH)-debian-linux-gnu"):
> I've missed something here.  Why are we setting i486 instead of i386
> for *anything*? I can see an advantage to having a dpkg command that
> prints "i386-debian-linux-gnu" instead of having to cobble it together
> (did you notice that most of the changes between 19.31 and 19.32 were
> to get rid of "lignux" and quietly change it to linux-gnu?) I just
> don't see where the 486 vs. 386 change comes from.
> 
> (I'll note that of course gcc's configuration is a special case, since
> 486 optimizations don't slow down 386 code noticeably.  But that's a
> *special* case not a general one.)

Mmm.  We already have dpkg --print-architecture which prints `i386' on
those systems, and putting i386-debian-linux-gnu (or whatever)
together yourself is fine.

Is GCC really such a special case ?  If so I'll take dpkg
--print-gnu-build-architecture out again ...

Ian.